summaryrefslogtreecommitdiffstats
path: root/desktop/wmSun
diff options
context:
space:
mode:
author Cezary M. Kruk <c.kruk@bigfoot.com>2010-05-12 23:28:23 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:28:23 +0200
commit0b91ad647a2b0cc20e024c1bd62f61ab7091ad3b (patch)
tree80fdeaca837c496fc67d050d68d020a0972e4628 /desktop/wmSun
parent39aa3d478112d83d758afc56ca2ad32a4a0c4109 (diff)
downloadslackbuilds-0b91ad647a2b0cc20e024c1bd62f61ab7091ad3b.tar.gz
slackbuilds-0b91ad647a2b0cc20e024c1bd62f61ab7091ad3b.tar.xz
desktop/wmSun: Added to 12.2 repository
Diffstat (limited to 'desktop/wmSun')
-rw-r--r--desktop/wmSun/README4
-rw-r--r--desktop/wmSun/slack-desc19
-rw-r--r--desktop/wmSun/wmSun.SlackBuild78
-rw-r--r--desktop/wmSun/wmSun.info8
4 files changed, 109 insertions, 0 deletions
diff --git a/desktop/wmSun/README b/desktop/wmSun/README
new file mode 100644
index 0000000000..86c61891c7
--- /dev/null
+++ b/desktop/wmSun/README
@@ -0,0 +1,4 @@
+wmSun is Window Maker sunrise and sunset dockable application
+
+wmSun displays the current day's sunrise and sunset times. You must
+enter your latitude and longitude correctly for it to work.
diff --git a/desktop/wmSun/slack-desc b/desktop/wmSun/slack-desc
new file mode 100644
index 0000000000..d7dca35893
--- /dev/null
+++ b/desktop/wmSun/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wmSun: wmSun (Window Maker sunrise and sunset dockable application)
+wmSun:
+wmSun: wmSun displays the current day's sunrise and sunset times. You must
+wmSun: enter your latitude and longitude correctly for it to work.
+wmSun:
+wmSun:
+wmSun:
+wmSun:
+wmSun:
+wmSun:
+wmSun:
diff --git a/desktop/wmSun/wmSun.SlackBuild b/desktop/wmSun/wmSun.SlackBuild
new file mode 100644
index 0000000000..f3f289a2ce
--- /dev/null
+++ b/desktop/wmSun/wmSun.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for wmSun
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=wmSun
+VERSION=${VERSION:-1.03}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd wmSun
+ mkdir $PKG/usr
+ mkdir $PKG/bin
+ mkdir -p $PKG/man/man1
+
+ CFLAGS="$SLKCFLAGS" make
+ make install DESTDIR=$PKG
+cd -
+
+# Executable and manual are already installed;
+# we just move them to the correct location
+mv $PKG/bin $PKG/usr
+mv $PKG/man $PKG/usr
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUGS COPYING TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/desktop/wmSun/wmSun.info b/desktop/wmSun/wmSun.info
new file mode 100644
index 0000000000..cc3155aec3
--- /dev/null
+++ b/desktop/wmSun/wmSun.info
@@ -0,0 +1,8 @@
+PRGNAM="wmSun"
+VERSION="1.03"
+HOMEPAGE="http://dockapps.org/file.php/id/16"
+DOWNLOAD="http://dockapps.org/download.php/id/23/wmSun-1.03.tar.gz"
+MD5SUM="34a2ea132f1a04e18be2d93abce40722"
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="dsomero"